Scientific Linux Security Update : pam on SL6.x, SL7.x i386/x86_64

Medium Nessus Plugin ID 85564


The remote Scientific Linux host is missing one or more security updates.


It was discovered that the _unix_run_helper_binary() function of PAM's unix_pam module could write to a blocking pipe, possibly causing the function to become unresponsive. An attacker able to supply large passwords to the unix_pam module could use this flaw to enumerate valid user accounts, or cause a denial of service on the system.


Update the affected pam, pam-debuginfo and / or pam-devel packages.

See Also

Plugin Details

Severity: Medium

ID: 85564

File Name: sl_20150818_pam_on_SL6_x.nasl

Version: $Revision: 2.3 $

Type: local

Agent: unix

Published: 2015/08/20

Modified: 2016/10/19

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:N/A:P


Base Score: 6.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:L

Vulnerability Information

CPE: x-cpe:/o:fermilab:scientific_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2015/08/18

Reference Information

CVE: CVE-2015-3238